using System;
using System.Collections.Generic;
using System.Linq;

namespace Takmicenje
{
    class MainClass
    {
        static void Raspodeli(int deca, ref int bananice, bool poslednja_grupa)
        {
            int kolicina = deca * (deca + 1) / 2;
            if (kolicina < bananice && !poslednja_grupa)
            {
                bananice -= kolicina;
            } else if (kolicina < bananice)
            {
                bananice = 0;
            }
            else
            {
                bananice = -1;
            }
        }

        public static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            List<string> resenja = new List<string>(t);

            for (int i = 0; i < t; i++)
            {
                string[] str = Console.ReadLine().Split(' ');
                int n = int.Parse(str[0]), m = int.Parse(str[1]), k = int.Parse(str[2]);

                int[] grupe = new int[k];

                int ost = n % k, gr = n / k;

                for (int j = 0; j < k; j++)
                {
                    if (j != k - 1)
                        grupe[j] = gr;
                    else
                    {
                        if (ost != 0)
                            grupe[j] = ost;
                        else
                            grupe[j] = gr;
                    }

                    if (j != k - 1)
                        Raspodeli(grupe[j], ref m, false);
                    else
                        Raspodeli(grupe[j], ref m, true);
                }

                if (m == 0)
                    resenja.Add("Tak");
                else
                    resenja.Add("Nie");
            }

            foreach(string s in resenja)
            {
                Console.WriteLine(s);
            }
        }
    }
}